Instalar drivers ATI y NVIDIA con ENVY en Ubuntu y Debian

No cabe duda de que instalar los drivers propietarios de NVIDIA y ATI puede ser toda una epopeya para un recién llegado a nuestro mundo GNU/Linux por varias razones, pero más porque se necesitan bibliotecas extra, permisos del sistema, y un compilador capacitado. Si a esto añadimos el miedo que nos da el riesgo a perder el entorno gráfico, se convierte en un tabú.

Mi primer consejo, y no hablo para gente avanzada, es hacer una copia del fichero actual del xorg.conf de /etc/X11/xorg.conf y guardarla en alguna carpeta que recuerdes para volverlo a restablecer si algo falla. Por ejemplo, valdría un

sudo cp /etc/X11/xorg.conf /home/pepillo/Documents

Pero tenemos una aplicación gráfica creada por Alberto Milone (¿será italiano🙂 ? ) llamada envy. Se encuentra empaquetado en .deb y fué creado en principio para ser utilizado en Ubuntu (Dapper, Feisty, Edgy y Gibbon) pero que sirve perfectamente para Debian Etch. En realidad se trata de un script gráfico escrito en Python y PyGTK que automatiza el proceso de instalación de los drivers propietarios.

Nos descargamos el paquete .deb y lo instalamos:

sudo dpkg -i envy_0.9.10-0ubuntu2_all.deb y lo ejecutamos:

sudo envy -t

Un instalador gráfico seguirá el proceso y nos pedirá el login root. Basta con reiniciar las X y ya tendremos los drivers propietarios de ATI o NVIDIA. Si algo fallara y no pudieras entrar en el entorno gráfico, reescribe el xorg.conf que guardastes con la ruta contraria:

sudo cp /Documents/xorg.conf /etc/X11/xorg.conf

buttonenv64.jpg

    • Sneal
    • 21/09/08

    Hola, tengo Debian y no puedo instalar envy, me descargo el paquete y todo y por desgracia me sale lo siguiente cuando pongo: “sudo dpkg -i envy_0.9.10-0ubuntu2_all.deb ”

    dpkg: error al procesar envy_0.9.10-0ubuntu2_all.deb (–install):
    no se puede acceder al archivo: No existe el fichero o el directorio
    Se encontraron errores al procesar:
    envy_0.9.10-0ubuntu2_all.deb

    y luego cuando pongo “sudo envy -t” me pone..
    sudo: envy: command not found

    Haber si me puedes dar una solución, porque no me está callendo bien linux de un principio xd

    Mersi.

  1. Presiento que leí esto demasiado tarde ¿no?
    No te hartes de Linux, hombre, es que hay ciertos pasos y políticas que no se pueden sobrepasar. Estas intentando meter un paquete Ubuntu dentro de la arquitectura Debian.
    Pero las dos cosas las estas haciendo mal. Por lo que veo, intentas instalar un paquete que no está en la ruta. Es decir, para hacer eso debes descargar ese paquete en tu /home/usuario. Si tuvieras Envy en los repositorios (míralo desde Synaptic) bastaría con apt-get install envy ó aptitude install envy. Debian Leeny sí lo trae, Etch, no lo recuerdo.
    Si el paquete no se ha instalado, es inútil que lo ejecutes con sudo envy -t ni con nada.
    Si quieres aceleración 3D lo mejor es seguir los pasos de aquí:
    http://debiantotal.blogspot.com/2007/03/instalar-driver-nvidia-en-debian-etch.html
    Saludos

    • que te imorta
    • 17/10/08

    LA RE CONCHA DE LA PUTISIMA LORA MIERDDDDDDDDDDDDDDDDDDDDDAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA!!!!!!!!!!!11 ;@;@;@

    • TyrantRC
    • 7/12/10

    jajajaja x’D el de arriba se ve que anda igual de estresado a mi instalando esa mierda xD

    • jose mayorga
    • 9/05/11

    Buenas antes que todo soy un usuario nuevo en linux y tengo problemas con el paquete envy, logro descargarlo pero al momento que el instaldor de paquete lo quiere instalar valga la redondancia me muestra un Error: La dependencia no se puede satisfacer: python (<<2.6) lo e buscado x otro lado pero no lo encuentro agradeceria mucho su ayuda, gracias

  2. Hola tengo problemas con la instalación de mi placa de vídeo Atti
    Intente instalar el Envy y me aparece esto

    Error: La dependencia no se puede satisfacer: python (<<2.)
    Tengo Ubuntu 10.14 .
    Agradezco la ayuda
    Saludos

  1. 21/05/14
  2. 22/05/14

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: